
_I2C_LCD_Cmd:

;I2C LCD.c,27 :: 		void I2C_LCD_Cmd(char out_char) {
;I2C LCD.c,30 :: 		char rs = 0x00;
; rs start address is: 6 (W3)
	CLR	W3
;I2C LCD.c,32 :: 		hi_n = out_char & 0xF0;
	MOV.B	#240, W0
; hi_n start address is: 8 (W4)
	AND.B	W10, W0, W4
;I2C LCD.c,33 :: 		lo_n = (out_char << 4) & 0xF0;
	ZE	W10, W0
	SL	W0, #4, W1
	MOV.B	#240, W0
; lo_n start address is: 10 (W5)
	AND.B	W1, W0, W5
;I2C LCD.c,35 :: 		I2C1_Start();
	CALL	_I2C1_Start
;I2C LCD.c,36 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,37 :: 		I2C1_Write(LCD_ADDR);
	PUSH	W10
	MOV.B	#78, W10
	CALL	_I2C1_Write
	POP	W10
;I2C LCD.c,38 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,39 :: 		I2C1_Write(hi_n | rs | 0x04 | 0x08);
	ZE	W4, W1
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #4, W0
	IOR	W0, #8, W0
	PUSH	W10
	MOV.B	W0, W10
	CALL	_I2C1_Write
	POP	W10
;I2C LCD.c,40 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,41 :: 		Delay_us(50);
	MOV	#83, W7
L_I2C_LCD_Cmd0:
	DEC	W7
	BRA NZ	L_I2C_LCD_Cmd0
	NOP
;I2C LCD.c,42 :: 		I2C1_Write(hi_n | rs | 0x00 | 0x08);
	ZE	W4, W1
; hi_n end address is: 8 (W4)
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #8, W0
	PUSH	W10
	MOV.B	W0, W10
	CALL	_I2C1_Write
	POP	W10
;I2C LCD.c,43 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,44 :: 		Delay_us(100);
	MOV	#166, W7
L_I2C_LCD_Cmd2:
	DEC	W7
	BRA NZ	L_I2C_LCD_Cmd2
	NOP
	NOP
;I2C LCD.c,45 :: 		I2C1_Write(lo_n | rs | 0x04 | 0x08);
	ZE	W5, W1
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #4, W0
	IOR	W0, #8, W0
	PUSH	W10
	MOV.B	W0, W10
	CALL	_I2C1_Write
	POP	W10
;I2C LCD.c,46 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,47 :: 		Delay_us(50);
	MOV	#83, W7
L_I2C_LCD_Cmd4:
	DEC	W7
	BRA NZ	L_I2C_LCD_Cmd4
	NOP
;I2C LCD.c,48 :: 		I2C1_Write(lo_n | rs | 0x00 | 0x08);
	ZE	W5, W1
; lo_n end address is: 10 (W5)
	ZE	W3, W0
; rs end address is: 6 (W3)
	IOR	W1, W0, W0
	IOR	W0, #8, W0
	PUSH	W10
	MOV.B	W0, W10
	CALL	_I2C1_Write
	POP	W10
;I2C LCD.c,49 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,50 :: 		I2C1_stop();
	CALL	_I2C1_Stop
;I2C LCD.c,52 :: 		if(out_char == 0x01)Delay_ms(2);
	CP.B	W10, #1
	BRA Z	L__I2C_LCD_Cmd52
	GOTO	L_I2C_LCD_Cmd6
L__I2C_LCD_Cmd52:
	MOV	#3333, W7
L_I2C_LCD_Cmd7:
	DEC	W7
	BRA NZ	L_I2C_LCD_Cmd7
	NOP
L_I2C_LCD_Cmd6:
;I2C LCD.c,53 :: 		}
L_end_I2C_LCD_Cmd:
	RETURN
; end of _I2C_LCD_Cmd

_I2C_LCD_Chr:

;I2C LCD.c,55 :: 		void I2C_LCD_Chr(char row, char column, char out_char) {
;I2C LCD.c,58 :: 		char rs = 0x01;
	PUSH	W10
; rs start address is: 12 (W6)
	MOV.B	#1, W6
;I2C LCD.c,60 :: 		switch(row){
	GOTO	L_I2C_LCD_Chr9
;I2C LCD.c,62 :: 		case 1:
L_I2C_LCD_Chr11:
;I2C LCD.c,63 :: 		I2C_LCD_Cmd(0x80 + (column - 1));
	ZE	W11, W0
	SUB	W0, #1, W1
	MOV	#128, W0
	ADD	W0, W1, W0
	MOV.B	W0, W10
	CALL	_I2C_LCD_Cmd
;I2C LCD.c,64 :: 		break;
	GOTO	L_I2C_LCD_Chr10
;I2C LCD.c,65 :: 		case 2:
L_I2C_LCD_Chr12:
;I2C LCD.c,66 :: 		I2C_LCD_Cmd(0xC0 + (column - 1));
	ZE	W11, W0
	SUB	W0, #1, W1
	MOV	#192, W0
	ADD	W0, W1, W0
	MOV.B	W0, W10
	CALL	_I2C_LCD_Cmd
;I2C LCD.c,67 :: 		break;
	GOTO	L_I2C_LCD_Chr10
;I2C LCD.c,68 :: 		case 3:
L_I2C_LCD_Chr13:
;I2C LCD.c,69 :: 		I2C_LCD_Cmd(0x94 + (column - 1));
	ZE	W11, W0
	SUB	W0, #1, W1
	MOV	#148, W0
	ADD	W0, W1, W0
	MOV.B	W0, W10
	CALL	_I2C_LCD_Cmd
;I2C LCD.c,70 :: 		break;
	GOTO	L_I2C_LCD_Chr10
;I2C LCD.c,71 :: 		case 4:
L_I2C_LCD_Chr14:
;I2C LCD.c,72 :: 		I2C_LCD_Cmd(0xD4 + (column - 1));
	ZE	W11, W0
	SUB	W0, #1, W1
	MOV	#212, W0
	ADD	W0, W1, W0
	MOV.B	W0, W10
	CALL	_I2C_LCD_Cmd
;I2C LCD.c,73 :: 		break;
	GOTO	L_I2C_LCD_Chr10
;I2C LCD.c,74 :: 		};
L_I2C_LCD_Chr9:
	CP.B	W10, #1
	BRA NZ	L__I2C_LCD_Chr54
	GOTO	L_I2C_LCD_Chr11
L__I2C_LCD_Chr54:
	CP.B	W10, #2
	BRA NZ	L__I2C_LCD_Chr55
	GOTO	L_I2C_LCD_Chr12
L__I2C_LCD_Chr55:
	CP.B	W10, #3
	BRA NZ	L__I2C_LCD_Chr56
	GOTO	L_I2C_LCD_Chr13
L__I2C_LCD_Chr56:
	CP.B	W10, #4
	BRA NZ	L__I2C_LCD_Chr57
	GOTO	L_I2C_LCD_Chr14
L__I2C_LCD_Chr57:
L_I2C_LCD_Chr10:
;I2C LCD.c,76 :: 		hi_n = out_char & 0xF0;
	MOV.B	#240, W0
; hi_n start address is: 6 (W3)
	AND.B	W12, W0, W3
;I2C LCD.c,77 :: 		lo_n = (out_char << 4) & 0xF0;
	ZE	W12, W0
	SL	W0, #4, W1
	MOV.B	#240, W0
; lo_n start address is: 8 (W4)
	AND.B	W1, W0, W4
;I2C LCD.c,79 :: 		I2C1_Start();
	CALL	_I2C1_Start
;I2C LCD.c,80 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,81 :: 		I2C1_Write(LCD_ADDR);
	MOV.B	#78, W10
	CALL	_I2C1_Write
;I2C LCD.c,82 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,83 :: 		I2C1_Write(hi_n | rs | 0x04 | 0x08);
	ZE	W3, W1
	ZE	W6, W0
	IOR	W1, W0, W0
	IOR	W0, #4, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,84 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,85 :: 		Delay_us(50);
	MOV	#83, W7
L_I2C_LCD_Chr15:
	DEC	W7
	BRA NZ	L_I2C_LCD_Chr15
	NOP
;I2C LCD.c,86 :: 		I2C1_Write(hi_n | rs | 0x00 | 0x08);
	ZE	W3, W1
; hi_n end address is: 6 (W3)
	ZE	W6, W0
	IOR	W1, W0, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,87 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,88 :: 		Delay_us(100);
	MOV	#166, W7
L_I2C_LCD_Chr17:
	DEC	W7
	BRA NZ	L_I2C_LCD_Chr17
	NOP
	NOP
;I2C LCD.c,89 :: 		I2C1_Write(lo_n | rs | 0x04 | 0x08);
	ZE	W4, W1
	ZE	W6, W0
	IOR	W1, W0, W0
	IOR	W0, #4, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,90 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,91 :: 		Delay_us(50);
	MOV	#83, W7
L_I2C_LCD_Chr19:
	DEC	W7
	BRA NZ	L_I2C_LCD_Chr19
	NOP
;I2C LCD.c,92 :: 		I2C1_Write(lo_n | rs | 0x00 | 0x08);
	ZE	W4, W1
; lo_n end address is: 8 (W4)
	ZE	W6, W0
; rs end address is: 12 (W6)
	IOR	W1, W0, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,93 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,94 :: 		I2C1_stop();
	CALL	_I2C1_Stop
;I2C LCD.c,95 :: 		}
L_end_I2C_LCD_Chr:
	POP	W10
	RETURN
; end of _I2C_LCD_Chr

_I2C_LCD_Chr_Cp:

;I2C LCD.c,97 :: 		void I2C_LCD_Chr_Cp(char out_char) {
;I2C LCD.c,100 :: 		char rs = 0x01;
	PUSH	W10
; rs start address is: 6 (W3)
	MOV.B	#1, W3
;I2C LCD.c,102 :: 		hi_n = out_char & 0xF0;
	MOV.B	#240, W0
; hi_n start address is: 8 (W4)
	AND.B	W10, W0, W4
;I2C LCD.c,103 :: 		lo_n = (out_char << 4) & 0xF0;
	ZE	W10, W0
	SL	W0, #4, W1
	MOV.B	#240, W0
; lo_n start address is: 10 (W5)
	AND.B	W1, W0, W5
;I2C LCD.c,105 :: 		I2C1_Start();
	CALL	_I2C1_Start
;I2C LCD.c,106 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,107 :: 		I2C1_Write(LCD_ADDR);
	MOV.B	#78, W10
	CALL	_I2C1_Write
;I2C LCD.c,108 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,109 :: 		I2C1_Write(hi_n | rs | 0x04 | 0x08);
	ZE	W4, W1
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #4, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,110 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,111 :: 		Delay_us(50);
	MOV	#83, W7
L_I2C_LCD_Chr_Cp21:
	DEC	W7
	BRA NZ	L_I2C_LCD_Chr_Cp21
	NOP
;I2C LCD.c,112 :: 		I2C1_Write(hi_n | rs | 0x00 | 0x08);
	ZE	W4, W1
; hi_n end address is: 8 (W4)
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,113 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,114 :: 		Delay_us(100);
	MOV	#166, W7
L_I2C_LCD_Chr_Cp23:
	DEC	W7
	BRA NZ	L_I2C_LCD_Chr_Cp23
	NOP
	NOP
;I2C LCD.c,115 :: 		I2C1_Write(lo_n | rs | 0x04 | 0x08);
	ZE	W5, W1
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #4, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,116 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,117 :: 		Delay_us(50);
	MOV	#83, W7
L_I2C_LCD_Chr_Cp25:
	DEC	W7
	BRA NZ	L_I2C_LCD_Chr_Cp25
	NOP
;I2C LCD.c,118 :: 		I2C1_Write(lo_n | rs | 0x00 | 0x08);
	ZE	W5, W1
; lo_n end address is: 10 (W5)
	ZE	W3, W0
; rs end address is: 6 (W3)
	IOR	W1, W0, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,119 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,120 :: 		I2C1_stop();
	CALL	_I2C1_Stop
;I2C LCD.c,121 :: 		}
L_end_I2C_LCD_Chr_Cp:
	POP	W10
	RETURN
; end of _I2C_LCD_Chr_Cp

_I2C_LCD_Init:

;I2C LCD.c,124 :: 		void I2C_LCD_Init() {
;I2C LCD.c,126 :: 		char rs = 0x00;
	PUSH	W10
; rs start address is: 6 (W3)
	CLR	W3
;I2C LCD.c,128 :: 		I2C1_Start();
	CALL	_I2C1_Start
;I2C LCD.c,129 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,130 :: 		I2C1_Write(LCD_ADDR);
	MOV.B	#78, W10
	CALL	_I2C1_Write
;I2C LCD.c,131 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,133 :: 		Delay_ms(30);
	MOV	#50000, W7
L_I2C_LCD_Init27:
	DEC	W7
	BRA NZ	L_I2C_LCD_Init27
;I2C LCD.c,135 :: 		I2C1_Write(0x30 | rs | 0x04 | 0x08);
	MOV	#48, W1
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #4, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,136 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,137 :: 		Delay_us(50);
	MOV	#83, W7
L_I2C_LCD_Init29:
	DEC	W7
	BRA NZ	L_I2C_LCD_Init29
	NOP
;I2C LCD.c,138 :: 		I2C1_Write(0x30 | rs | 0x00 | 0x08);
	MOV	#48, W1
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,139 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,141 :: 		Delay_ms(10);
	MOV	#16666, W7
L_I2C_LCD_Init31:
	DEC	W7
	BRA NZ	L_I2C_LCD_Init31
	NOP
	NOP
;I2C LCD.c,143 :: 		I2C1_Write(0x30 | rs | 0x04 | 0x08);
	MOV	#48, W1
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #4, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,144 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,145 :: 		Delay_us(50);
	MOV	#83, W7
L_I2C_LCD_Init33:
	DEC	W7
	BRA NZ	L_I2C_LCD_Init33
	NOP
;I2C LCD.c,146 :: 		I2C1_Write(0x30 | rs | 0x00 | 0x08);
	MOV	#48, W1
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,147 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,149 :: 		Delay_ms(10);
	MOV	#16666, W7
L_I2C_LCD_Init35:
	DEC	W7
	BRA NZ	L_I2C_LCD_Init35
	NOP
	NOP
;I2C LCD.c,151 :: 		I2C1_Write(0x30 | rs | 0x04 | 0x08);
	MOV	#48, W1
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #4, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,152 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,153 :: 		Delay_us(50);
	MOV	#83, W7
L_I2C_LCD_Init37:
	DEC	W7
	BRA NZ	L_I2C_LCD_Init37
	NOP
;I2C LCD.c,154 :: 		I2C1_Write(0x30 | rs | 0x00 | 0x08);
	MOV	#48, W1
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,155 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,157 :: 		Delay_ms(10);
	MOV	#16666, W7
L_I2C_LCD_Init39:
	DEC	W7
	BRA NZ	L_I2C_LCD_Init39
	NOP
	NOP
;I2C LCD.c,159 :: 		I2C1_Write(0x20 | rs | 0x04 | 0x08);
	MOV	#32, W1
	ZE	W3, W0
	IOR	W1, W0, W0
	IOR	W0, #4, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,160 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,161 :: 		Delay_us(50);
	MOV	#83, W7
L_I2C_LCD_Init41:
	DEC	W7
	BRA NZ	L_I2C_LCD_Init41
	NOP
;I2C LCD.c,162 :: 		I2C1_Write(0x20 | rs | 0x00 | 0x08);
	MOV	#32, W1
	ZE	W3, W0
; rs end address is: 6 (W3)
	IOR	W1, W0, W0
	IOR	W0, #8, W0
	MOV.B	W0, W10
	CALL	_I2C1_Write
;I2C LCD.c,163 :: 		I2C1_Is_Idle();
	CALL	_I2C1_Is_Idle
;I2C LCD.c,164 :: 		I2C1_Stop();
	CALL	_I2C1_Stop
;I2C LCD.c,166 :: 		Delay_ms(10);
	MOV	#16666, W7
L_I2C_LCD_Init43:
	DEC	W7
	BRA NZ	L_I2C_LCD_Init43
	NOP
	NOP
;I2C LCD.c,168 :: 		I2C_LCD_Cmd(0x28);
	MOV.B	#40, W10
	CALL	_I2C_LCD_Cmd
;I2C LCD.c,169 :: 		I2C_LCD_Cmd(0x06);
	MOV.B	#6, W10
	CALL	_I2C_LCD_Cmd
;I2C LCD.c,170 :: 		}
L_end_I2C_LCD_Init:
	POP	W10
	RETURN
; end of _I2C_LCD_Init

_I2C_LCD_Out:

;I2C LCD.c,172 :: 		void I2C_LCD_Out(char row, char column, char *text) {
;I2C LCD.c,173 :: 		while(*text)
L_I2C_LCD_Out45:
	CP0.B	[W12]
	BRA NZ	L__I2C_LCD_Out61
	GOTO	L_I2C_LCD_Out46
L__I2C_LCD_Out61:
;I2C LCD.c,174 :: 		I2C_LCD_Chr(row, column++, *text++);
	PUSH	W12
	MOV.B	[W12], W12
	CALL	_I2C_LCD_Chr
	POP	W12
	ADD.B	W11, #1, W0
	MOV.B	W0, W11
	ADD	W12, #1, W0
	MOV	W0, W12
	GOTO	L_I2C_LCD_Out45
L_I2C_LCD_Out46:
;I2C LCD.c,175 :: 		}
L_end_I2C_LCD_Out:
	RETURN
; end of _I2C_LCD_Out

_I2C_LCD_Out_Cp:

;I2C LCD.c,177 :: 		void I2C_LCD_Out_Cp(char *text) {
;I2C LCD.c,178 :: 		while(*text)
L_I2C_LCD_Out_Cp47:
	CP0.B	[W10]
	BRA NZ	L__I2C_LCD_Out_Cp63
	GOTO	L_I2C_LCD_Out_Cp48
L__I2C_LCD_Out_Cp63:
;I2C LCD.c,179 :: 		I2C_LCD_Chr_Cp(*text++);
	PUSH	W10
	MOV.B	[W10], W10
	CALL	_I2C_LCD_Chr_Cp
	POP	W10
	ADD	W10, #1, W0
	MOV	W0, W10
	GOTO	L_I2C_LCD_Out_Cp47
L_I2C_LCD_Out_Cp48:
;I2C LCD.c,180 :: 		}
L_end_I2C_LCD_Out_Cp:
	RETURN
; end of _I2C_LCD_Out_Cp

_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 52
	MOV	#4, W0
	IOR	68

;I2C LCD.c,182 :: 		void main() {
;I2C LCD.c,184 :: 		ADPCFG = 0xFFFF;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	MOV	#65535, W0
	MOV	WREG, ADPCFG
;I2C LCD.c,185 :: 		TRISB = 0x0000;
	CLR	TRISB
;I2C LCD.c,186 :: 		PORTB = 0x0000;
	CLR	PORTB
;I2C LCD.c,187 :: 		LATB = 0x0000;
	CLR	LATB
;I2C LCD.c,189 :: 		I2C1_Init(100000);
	MOV	#34464, W10
	MOV	#1, W11
	CALL	_I2C1_Init
;I2C LCD.c,191 :: 		I2C_LCD_Init();
	CALL	_I2C_LCD_Init
;I2C LCD.c,192 :: 		I2C_LCD_Cmd(_LCD_CURSOR_OFF);
	MOV.B	#12, W10
	CALL	_I2C_LCD_Cmd
;I2C LCD.c,193 :: 		I2C_LCD_Cmd(_LCD_CLEAR);
	MOV.B	#1, W10
	CALL	_I2C_LCD_Cmd
;I2C LCD.c,194 :: 		I2C_Lcd_Out(1,1,txt1);                 // Write text in first row
	MOV	#lo_addr(_txt1), W12
	MOV.B	#1, W11
	MOV.B	#1, W10
	CALL	_I2C_LCD_Out
;I2C LCD.c,195 :: 		I2C_Lcd_Out(2,1,txt2);                 // Write text in second row
	MOV	#lo_addr(_txt2), W12
	MOV.B	#1, W11
	MOV.B	#2, W10
	CALL	_I2C_LCD_Out
;I2C LCD.c,196 :: 		I2C_Lcd_Out(3,1,txt3);                 // Write text in third row
	MOV	#lo_addr(_txt3), W12
	MOV.B	#1, W11
	MOV.B	#3, W10
	CALL	_I2C_LCD_Out
;I2C LCD.c,197 :: 		I2C_Lcd_Out(4,1,txt4);                 // Write text in fourth row
	MOV	#lo_addr(_txt4), W12
	MOV.B	#1, W11
	MOV.B	#4, W10
	CALL	_I2C_LCD_Out
;I2C LCD.c,199 :: 		while(1) {
L_main49:
;I2C LCD.c,201 :: 		}
	GOTO	L_main49
;I2C LCD.c,202 :: 		}
L_end_main:
	POP	W12
	POP	W11
	POP	W10
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main
